import request from '@/utils/request';

// 批量放弃工单
export function orderClose(data) {
  return request({
    url: '/order/close',
    method: 'POST',
    data
  });
}
// 工人查询所有工单 分页查询
export function getOrderList(params) {
  return request({
    url: '/order/getOrderList',
    params
  });
}
// 工人查询具体的工单 分页查询
export function getStartList(params) {
  return request({
    url: '/order/getStartList',
    params
  });
}
// 获取工人具体信息是否填写
export function getWriteStatus(params) {
  return request({
    url: '/order/getWriteStatus',
    params
  });
}
// 填写表单
export function writeForm(data) {
  return request({
    url: '/order/writeForm',
    method: 'POST',
    data
  });
}
// 表单的回显
export function getWriteForm(params) {
  return request({
    url: '/order/getWriteForm',
    params
  });
}
